For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inTalk to sales
GuidesAPI Reference
  • Introduction
    • Getting started
  • API Reference
      • POSTBulk create transactions
      • GETRetrieve a transaction batch
      • POSTBatch create transaction events
      • GETRetrive transaction events batch
      • POSTBatch create consumer users
      • GETRetrieve a consumer user batch
      • POSTBatch create business users
      • GETRetrieve a business user batch
      • POSTBatch create consumer user events
      • GETRetrive consumer user events batch
      • POSTBatch create business user events
      • GETRetrive business user events batch
  • Webhooks
LogoLogo
Log inTalk to sales
API ReferenceBatch

Retrive business user events batch

GET
/batch/events/business/user/:batchId
GET
/batch/events/business/user/:batchId
$curl https://sandbox.api.flagright.com/batch/events/business/user/batchId \
> -H "x-api-key: <apiKey>"
1{
2 "businessUserEvents": [
3 {
4 "timestamp": 2220000000000,
5 "userId": "string",
6 "eventId": "string",
7 "reason": "string",
8 "eventDescription": "string",
9 "updatedBusinessUserAttributes": {
10 "legalEntity": {
11 "companyGeneralDetails": {
12 "legalName": "Ozkan Hazelnut Export JSC",
13 "businessIndustry": [
14 "Farming"
15 ],
16 "mainProductsServicesSold": [
17 "Hazelnut"
18 ]
19 },
20 "companyFinancialDetails": {
21 "expectedTransactionAmountPerMonth": {
22 "amountValue": 800,
23 "amountCurrency": "GBP"
24 },
25 "expectedTurnoverPerMonth": {
26 "amountValue": 8000,
27 "amountCurrency": "USD"
28 }
29 },
30 "companyRegistrationDetails": {
31 "registrationIdentifier": "PSJ554342",
32 "registrationCountry": "DE"
33 },
34 "reasonForAccountOpening": [
35 "string"
36 ],
37 "contactDetails": {
38 "addresses": [
39 {
40 "addressLines": [
41 "Klara-Franke Str 20"
42 ],
43 "postcode": "10557",
44 "city": "Berlin",
45 "state": "Berlin",
46 "country": "Germany",
47 "tags": [
48 {
49 "key": "customKey",
50 "value": "customValue"
51 }
52 ]
53 }
54 ]
55 }
56 },
57 "shareHolders": [
58 {
59 "generalDetails": {
60 "name": {
61 "firstName": "Baran",
62 "middleName": "Realblood",
63 "lastName": "Ozkan"
64 },
65 "dateOfBirth": "1991-01-01",
66 "countryOfResidence": "US",
67 "countryOfNationality": "DE"
68 },
69 "legalDocuments": [
70 {
71 "documentType": "passport",
72 "documentNumber": "Z9431P",
73 "documentIssuedDate": 1639939034000,
74 "documentExpirationDate": 1839939034000,
75 "documentIssuedCountry": "DE",
76 "tags": [
77 {
78 "key": "customerType",
79 "value": "wallet"
80 }
81 ]
82 }
83 ],
84 "contactDetails": {
85 "emailIds": [
86 "baran@flagright.com"
87 ],
88 "contactNumbers": [
89 "+371 123132"
90 ],
91 "websites": [
92 "flagright.com"
93 ],
94 "addresses": [
95 {
96 "addressLines": [
97 "Klara-Franke Str 20"
98 ],
99 "postcode": "10557",
100 "city": "Berlin",
101 "state": "Berlin",
102 "country": "Germany",
103 "tags": [
104 {
105 "key": "customKey",
106 "value": "customValue"
107 }
108 ]
109 }
110 ]
111 },
112 "tags": [
113 {
114 "key": "customKey",
115 "value": "customValue"
116 }
117 ]
118 }
119 ],
120 "directors": [
121 {
122 "generalDetails": {
123 "name": {
124 "firstName": "Baran",
125 "middleName": "Realblood",
126 "lastName": "Ozkan"
127 },
128 "dateOfBirth": "1991-01-01",
129 "countryOfResidence": "US",
130 "countryOfNationality": "DE"
131 },
132 "legalDocuments": [
133 {
134 "documentType": "passport",
135 "documentNumber": "Z9431P",
136 "documentIssuedDate": 1639939034000,
137 "documentExpirationDate": 1839939034000,
138 "documentIssuedCountry": "DE",
139 "tags": [
140 {
141 "key": "customerType",
142 "value": "wallet"
143 }
144 ]
145 }
146 ],
147 "contactDetails": {
148 "emailIds": [
149 "baran@flagright.com"
150 ],
151 "contactNumbers": [
152 "+371 123132"
153 ],
154 "websites": [
155 "flagright.com"
156 ],
157 "addresses": [
158 {
159 "addressLines": [
160 "Klara-Franke Str 20"
161 ],
162 "postcode": "10557",
163 "city": "Berlin",
164 "state": "Berlin",
165 "country": "Germany",
166 "tags": [
167 {
168 "key": "customKey",
169 "value": "customValue"
170 }
171 ]
172 }
173 ]
174 },
175 "tags": [
176 {
177 "key": "customKey",
178 "value": "customValue"
179 }
180 ]
181 }
182 ],
183 "tags": [
184 {
185 "key": "customKey",
186 "value": "customValue"
187 }
188 ],
189 "metaData": {
190 "batteryLevel": 76.3,
191 "deviceLatitude": 13.009711,
192 "deviceLongitude": 76.102898,
193 "ipAddress": "79.144.2.20",
194 "vpnUsed": true
195 },
196 "createdTimestamp": 1641654664000,
197 "userId": "96647cfd9e8fe66ee0f3362e011e34e8"
198 },
199 "externalLinks": [
200 "string"
201 ],
202 "executedRules": [
203 {
204 "ruleInstanceId": "string",
205 "ruleName": "string",
206 "ruleDescription": "string",
207 "ruleAction": "ALLOW",
208 "ruleHit": true,
209 "ruleId": "string",
210 "versionId": "string",
211 "executedAt": 2220000000000,
212 "ruleHitMeta": {
213 "hitDirections": [
214 "ORIGIN"
215 ],
216 "falsePositiveDetails": {
217 "isFalsePositive": true,
218 "confidenceScore": 1.1
219 },
220 "sanctionsDetails": [
221 {
222 "name": "string",
223 "searchId": "string",
224 "requestHash": "string",
225 "iban": "string",
226 "entityType": "CONSUMER_NAME",
227 "sanctionHitIds": [
228 "string"
229 ],
230 "hitContext": {
231 "entity": "USER",
232 "entityType": "CONSUMER_NAME",
233 "userId": "string",
234 "transactionId": "string",
235 "ruleInstanceId": "string",
236 "ruleId": "string",
237 "iban": "string",
238 "yearOfBirth": 1,
239 "searchTerm": "string",
240 "paymentMethodId": "string"
241 },
242 "hitDirection": "ORIGIN",
243 "isRuleHit": true
244 }
245 ],
246 "isOngoingScreeningHit": true
247 },
248 "vars": [
249 {
250 "value": {},
251 "direction": "ORIGIN"
252 }
253 ],
254 "labels": [
255 "UNEXPECTED_BEHAVIOR"
256 ],
257 "nature": "AML",
258 "isShadow": true
259 }
260 ],
261 "riskScoreDetails": {
262 "kycRiskScore": 1.1,
263 "craRiskScore": 1.1,
264 "kycRiskLevel": "VERY_HIGH",
265 "craRiskLevel": "VERY_HIGH"
266 }
267 }
268 ],
269 "totalCount": 1.1
270}
Was this page helpful?
Previous

Create a Transaction Event

Next
Built with

Authentication

x-api-keystring
API keys are used to authenticate the requests.

Path parameters

batchIdstringRequired
Unique Batch Identifier

Query parameters

pageSizedoubleOptional1-100

Page size (default 20)

pagedoubleOptional>=1
Page

Response

OK
businessUserEventslist of objects
totalCountdouble

Errors

401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error